mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.SystemException System.Runtime.InteropServices.ComVisible(true)

## Desktop Apps

In desktop apps, is thrown when the attempt to retrieve a resource fails because the resource set for the neutral culture could not be loaded from a particular assembly. Although the exception is thrown when you try to retrieve a particular resource, it is caused by the failure to load the resource set rather than the failure to find the resource.

For additional information, see the "Handling a MissingManifestResourceException Exception" section in the class topic.

The main causes of the exception include the following:

The resource set is not identified by its fully qualified name. For example, if the parameter in the call to the method specifies the root name of the resource set without a namespace, but the resource set is assigned a namespace when it is stored in its assembly, the call to the method throws this exception.

If you have embedded the .resources file that contains the default culture's resources in your executable and your app is throwing a , you can use a reflection tool such as ILDasm.exe to determine the fully qualified name of the resource. In ILDasm, double click the executable's MANIFEST label to open the MANIFEST window. Resources appear as .mresource items and are listed after external assembly references and custom assembly-level attributes. You can also compile the following simple utility, which lists the fully qualified names of embedded resources in the assembly whose name is passed to it as a command-line parameter.

code reference: System.Resources.ResourceManager.Class#4

You identify the resource set by its resource file name (along with its optional namespace) and its file extension rather than by its namespace and root file name alone. For example, this exception is thrown if the neutral culture's resource set is named GlobalResources and you supply a value of `GlobalResources.resources` (instead of `GlobalResources`) to the parameter of the constructor.

The culture-specific resource set that is identified in a method call cannot be found, and the fallback resource set cannot be loaded. For example, if you create satellite assemblies for the English (United States) and Russia (Russian) cultures but you fail to provide a resource set for the neutral culture, this exception is thrown if your app's current culture is English (Great Britain).

uses the HRESULT COR_E_MISSINGMANIFESTRESOURCE, which has the value 0x80131532.

uses the default implementation, which supports reference equality.

For a list of initial property values for an instance of , see the constructors.

We recommend that you include a neutral set of resources in your main assembly, so your app won't fail if a satellite assembly is unavailable.

## win8_appname_long Apps

Unlike desktop apps, which deploy localized resources in satellite assemblies and typically store the resources of the neutral culture in the main assembly, win8_appname_long apps deploy resources for multiple cultures, including the neutral culture, in a single package resource index (.pri) file. As a result, in a win8_appname_long app, if resources for the preferred culture cannot be found, the is thrown under either of the following conditions:

The app does not include a .pri file or the .pri file could not be opened.

The app's .pri file does not contain a resource set for the given root name.

The exception that is thrown if the main assembly does not contain the resources for the neutral culture, and an appropriate satellite assembly is missing.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The localized error message for .

  Initializes a new instance of the class with default properties.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The string.

  Initializes a new instance of the class with the specified error message.

  The error message that explains the reason for the exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream.

  Initializes a new instance of the class from serialized data.

  The object that holds the serialized object data.
  The contextual information about the source or destination of the exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.